POST api/sitecustomerapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| remark | string |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "f45ff760-9600-466d-a679-2e33d7a6874a",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "fa8e08d3-9f7c-4b07-9748-dd701567e4ea"
}
application/xml, text/xml
Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>f45ff760-9600-466d-a679-2e33d7a6874a</id> <name>sample string 4</name> <remark>sample string 5</remark> <site_id>fa8e08d3-9f7c-4b07-9748-dd701567e4ea</site_id> </sitecustomer>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"d346e101-821c-4e73-8c29-8fefc3db27aa"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d346e101-821c-4e73-8c29-8fefc3db27aa</guid>